import * as webpack from 'webpack';
/**
 * Build a JupyterLab extension.
 *
 * @param options - The options used to build the extension.
 */
export declare function buildExtension(options: IBuildOptions): void;
/**
 * The options used to build a JupyterLab extension.
 */
export interface IBuildOptions {
    /**
     * The name of the extension.
     */
    name: string;
    /**
     * The path to the entry point.
     */
    entryPath: string;
    /**
     * Whether to extract CSS from the bundles (default is True).
     *
     * Note: no other CSS loaders should be used if not set to False.
     */
    extractCSS?: boolean;
    /**
     * Whether to use the default loaders for some common file types.
     *
     * See [[DEFAULT_LOADERS]].  The default is True.
     */
    useDefaultLoaders?: boolean;
    /**
     * Extra webpack configuration.
     */
    config?: webpack.Configuration;
}
